package com.ss.android.ugc.aweme;

import X.3i8;
import X.C02227Yh;
import X.C02237Yi;
import X.Lnj;
import X.M12;
import android.app.Activity;
import android.content.Intent;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public final class CQrcodeService implements ICQrcodeService {
    static {
        Covode.recordClassIndex(50322);
    }

    public final boolean LIZ() {
        return C02227Yh.LIZIZ.LIZ();
    }

    public final boolean LIZIZ() {
        return C02237Yi.LIZIZ.LIZ();
    }

    public static ICQrcodeService LIZJ() {
        MethodCollector.i(11335);
        ICQrcodeService iCQrcodeService = (ICQrcodeService) Lnj.LIZ(ICQrcodeService.class, false);
        if (iCQrcodeService != null) {
            MethodCollector.o(11335);
            return iCQrcodeService;
        }
        Object LIZIZ = Lnj.LIZIZ(ICQrcodeService.class, false);
        if (LIZIZ != null) {
            ICQrcodeService iCQrcodeService2 = (ICQrcodeService) LIZIZ;
            MethodCollector.o(11335);
            return iCQrcodeService2;
        }
        if (Lnj.LJIILLIIL == null) {
            synchronized (ICQrcodeService.class) {
                try {
                    if (Lnj.LJIILLIIL == null) {
                        Lnj.LJIILLIIL = new CQrcodeService();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(11335);
                    throw th;
                }
            }
        }
        CQrcodeService cQrcodeService = (CQrcodeService) Lnj.LJIILLIIL;
        MethodCollector.o(11335);
        return cQrcodeService;
    }

    public final void LIZ(Activity activity) {
        M12.LIZ(activity);
        M12.LIZ(activity);
        Intent intent = new Intent(activity, CQRCodeFailActivity.class);
        3i8.LIZ(intent, activity);
        activity.startActivity(intent);
    }
}
